import { Modal, ModalService } from '@zeedhi/common';

export class NovoCriterioController {
  private basicModal!: Modal;

  public async createBasicUsageModal() {
    this.basicModal = await ModalService.createFromJson('/modals/NovoCriterio', true);
  }

  public destroyBasicUsageModal() {
    this.basicModal.destroy();
  }

  public openBasicModal() {
    this.basicModal.show();
  }

  public closeBasicModal() {
    this.basicModal.hide();
  }
}
